#ifndef GUI_HXX
#define GUI_HXX  1


// =============================================================================
// Include headers

extern "C"
{
#include "ui.h"
}


//! \addtogroup UI
// @{


// =============================================================================
// Constants

//! \brief Maximum length of filenames (without string termination)
//!
//! This value is limited by the FLTK filename length limit of 1023 bytes.
#define UI_MAX_FILENAME_LENGTH  1023


// @}


// =============================================================================
// Prototypes

extern void  ui_init(int argc, char **argv);
extern void  ui_exit(void);
extern int  ui_exec(void);
extern int  ui_get_locale_utf8(void);


#endif  // GUI_HXX

// EOF
